This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 28262 - [webvtt] 4.3.2 emphasis spans [I18N-ISSUE-428]
Summary: [webvtt] 4.3.2 emphasis spans [I18N-ISSUE-428]
Status: RESOLVED MOVED
Alias: None
Product: TextTracks CG
Classification: Unclassified
Component: WebVTT (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: Web Media Text Tracks CG
URL:
Whiteboard: widereview
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-22 00:13 UTC by Silvia Pfeiffer
Modified: 2016-11-10 20:12 UTC (History)
7 users (show)

See Also:


Attachments

Description Silvia Pfeiffer 2015-03-22 00:13:50 UTC
Feedback by Addison Phillips from W3C I18N group:
http://lists.w3.org/Archives/Public/public-tt/2015Mar/0061.html

I18N comment: https://www.w3.org/International/track/issues/428

4.3.2 WebVTT cue text
http://www.w3.org/TR/webvtt1/#webvtt-cue-text

A variety of spanning mechanisms, such as bold, italic, and underline are provided. Some languages use different emphasis forms. Should these emphasis types also be provided?

We advise against presentational markup of this kind, since it isn't interoperable across writing systems and may cause unnecessary problems for localization. (The HTML5 specification has also proposed that these tags should be used more along semantic lines.) In the HTML case, there was a legacy issue, but here we don't see one, and recommend instead that styling be used to determine the presentation of the text.

For some of the issues associated with <b> and <i> tags, see http://www.w3.org/International/questions/qa-b-and-i-tags
Comment 1 Philip J├Ągenstedt 2015-03-23 03:36:53 UTC
This is posed as a question, "Should these emphasis types also be provided?", which I don't know the answer to.

The default style of <i> and <b> can be overridden, and we have the more generic (like <span>) <c>:
http://www.w3.org/TR/webvtt1/#dfn-webvtt-cue-class-span

Is that sufficient, or is there a concrete suggestion for change?
Comment 2 David Singer 2015-03-24 21:55:09 UTC
I think it's worth noting that basic markup like this was wanted without having to use a style sheet at all.  As noted, if you do have styling support, the actual behavior can be overridden.  Perhaps we could have picked more generic terms (like 'strong'), but...
Comment 3 Silvia Pfeiffer 2015-06-27 12:18:58 UTC
I'm going to close this since it's possible to work around it just like in HTML.
Comment 4 Simon Pieters 2015-10-30 04:17:31 UTC
https://github.com/w3c/webvtt/issues/228
Comment 5 David Singer 2016-10-11 17:58:47 UTC
You can style <b> <i> etc. with CSS for your language.
Comment 6 Richard Ishida 2016-10-12 12:28:43 UTC
That rather misses the point made in the article linked to above, which explains how using these presentational tags reduces the ability to distinguish semantic differences that are styled *differently* in other languages.

Is this bug not now handled in https://github.com/w3c/webvtt/issues/228 ?  The threads on this and other issues seem to be diverging between bugzilla and github, which is taking up a lot of time when i try to track things.  Can we not close these bugs and point to github issues?
Comment 7 David Singer 2016-11-10 20:12:56 UTC
unfortunately we're using the status of these bugs to tell whether we've resolved all the wide-review issues, so I prefer to see 'closed' to mean only 'dealt with' rather than 'transferred to GitHub'